List Bank Accounts
Retrieve all registered bank accounts for the merchant.
GET
https://api.zenpayz.com/merchant/api/v1/settlements/bank-accounts/listBearer · API key
Request
Headers
| Header | Description |
|---|---|
Authorization REQUIRED | Bearer {api_key} |
X-Signature REQUIRED | HMAC-SHA256 signature |
X-Timestamp REQUIRED | ISO 8601 timestamp |
X-Secret-Salt REQUIRED | Secret salt for HMAC validation |
Response
Success (200 OK)
{
"success": true,
"data": [
{
"id": "ba_xxxxx",
"accountNumber": "****1234",
"accountHolderName": "Acme Inc",
"accountType": "CURRENT",
"bankName": "Chase Bank",
"branchName": "Downtown Branch",
"ifscCode": "CHAS0001234",
"isPrimary": true,
"createdAt": "2024-01-01T10:00:00.000Z"
},
{
"id": "ba_yyyyy",
"accountNumber": "****5678",
"accountHolderName": "Acme Inc",
"accountType": "SAVINGS",
"bankName": "Bank of America",
"branchName": "Main Branch",
"ifscCode": "BOFA0001234",
"isPrimary": false,
"createdAt": "2024-01-10T14:00:00.000Z"
}
]
}
Examples
- cURL
- SDK
curl -X GET "https://api.zenpayz.com/merchant/api/v1/settlements/bank-accounts/list" \
-H "Authorization: Bearer zp_test_xxxxx" \
-H "X-Timestamp: 2024-01-15T10:30:00.000Z" \
-H "X-Signature: a1b2c3d4e5f6..." \
-H "X-Secret-Salt: your_secret_salt"
const accounts = await zenpays.settlements.listBankAccounts();
accounts.forEach(account => {
console.log(`${account.bankName} - ${account.accountNumber} (${account.isPrimary ? 'Primary' : 'Secondary'})`);
});